DNS Zones
Create Dns Zone
post
/dns/zonesCreate a new empty DNS zone.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Request body
Create a new DNS zone
application/jsonRequired
domain*string
Domain name (e.g., example.com)
Range
4 ≤ length ≤ 253project_id*integer
Project ID to associate the zone with
Responses
Successful Response
application/json
uuid*string
domain*string
status*DNSZoneStatus
Value in
"pending_verification""verification_failed""active""suspended""deleting"verified_at?string | null
Format
date-timeproject_id*integer
records_count?integer
Default
0dns_tier?integer
Default
1nameservers*array<string>
created_at*string
Format
date-timeupdated_at*string
Format
date-time